kdeui Library: KXMLGUIBuilder Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KXMLGUIBuilder Class Reference

Abstract interface for a "GUI builder", used by the GUIFactory This interface is implemented by KMainWindow for the case where the toplevel widget is a KMainWindow. More...

`#include <kxmlguibuilder.h>`

Inheritance diagram for KXMLGUIBuilder:

[legend]
List of all members.

## Public Member Functions
| KXMLGUIBuilder (QWidget *widget)
KXMLGUIClient * | builderClient () const
void | setBuilderClient (KXMLGUIClient *client)
KInstance * | builderInstance () const
void | setBuilderInstance (KInstance *instance)
QWidget * | widget ()
virtual QStringList | containerTags () const
virtual QWidget * | createContainer (QWidget *parent, int index, const QDomElement &element, int &id)
virtual void | removeContainer (QWidget *container, QWidget *parent, QDomElement &element, int id)
virtual QStringList | customTags () const
virtual int | createCustomElement (QWidget *parent, int index, const QDomElement &element)
virtual void | removeCustomElement (QWidget *parent, int id)
virtual void | finalizeGUI (KXMLGUIClient *client)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Abstract interface for a "GUI builder", used by the GUIFactory This interface is implemented by KMainWindow for the case where the toplevel widget is a KMainWindow.

Other implementations may appear in the future (dialogs for instance)

Definition at line 39 of file kxmlguibuilder.h.

## Member Function Documentation

QWidget * KXMLGUIBuilder::createContainer | ( | QWidget * | parent,
|  | int | index,
|  | const QDomElement & | element,
|  | int & | id
| ) | `[virtual]`

  | Creates a container (menubar/menu/toolbar/statusbar/separator/...) from an element in the XML file. Parameters:
  | parent | The parent for the container
  | index | The index where the container should be inserted into the parent container/widget
  | element | The element from the DOM tree describing the container (use it to access container specified attributes or child elements)
  | id | The id to be used for this container
Definition at line 114 of file kxmlguibuilder.cpp. References QDomElement::attribute(), KGlobal::instance(), QString::isEmpty(), QCString::isEmpty(), KToolBar::loadState(), KToolBar::setXMLGUIClient(), KMenuBar::show(), KMainWindow::statusBar(), QDomElement::text(), and QString::utf8().

void KXMLGUIBuilder::removeContainer | ( | QWidget * | container,
|  | QWidget * | parent,
|  | QDomElement & | element,
|  | int | id
| ) | `[virtual]`

| Removes the given (and previously via createContainer ) created container. Definition at line 240 of file kxmlguibuilder.cpp. References endl(), QMenuBar::hide(), kdWarning(), KStatusBar::removeItem(), and KToolBar::saveState().

The documentation for this class was generated from the following files:

- kxmlguibuilder.h
- kxmlguibuilder.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003